summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-12 17:46:07 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:46:07 +0200
commit65656c748f3339fdc46fbdbe181fa4a96bae361e (patch)
tree158212211cf08ccb1fea25fb4d253efd9c21319b /system
parent67dc425887c88429381f23c4dcc98d9e18ceaccd (diff)
downloadslackbuilds-65656c748f3339fdc46fbdbe181fa4a96bae361e.tar.gz
slackbuilds-65656c748f3339fdc46fbdbe181fa4a96bae361e.tar.xz
system/tmux: Updated for version 0.8
Diffstat (limited to 'system')
-rw-r--r--system/tmux/tmux.SlackBuild46
-rw-r--r--system/tmux/tmux.info8
2 files changed, 39 insertions, 15 deletions
diff --git a/system/tmux/tmux.SlackBuild b/system/tmux/tmux.SlackBuild
index d35a3fe859..25c3c377b6 100644
--- a/system/tmux/tmux.SlackBuild
+++ b/system/tmux/tmux.SlackBuild
@@ -2,12 +2,30 @@
# Slackware build script for tmux
-# Written by Chess Griffin <chess@chessgriffin.com>
+# Copyright 2008-2009 Chess Griffin <chess@chessgriffin.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=tmux
-VERSION=${VERSION:-0.4a}
+VERSION=${VERSION:-0.8}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -17,13 +35,16 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -38,15 +59,18 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS"
-
-make
+CFLAGS+="$SLKCFLAGS" make
make install PREFIX=/usr DESTDIR=$PKG
+# Fix up some root:bin ownership and add owner write perms where needed
+chown -R root:root $PKG
+chmod 0755 $PKG/usr/bin/tmux
+chmod 0644 $PKG/usr/man/man1/tmux.1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -55,7 +79,7 @@ make install PREFIX=/usr DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a NOTES TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES FAQ NOTES TODO examples/ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/tmux/tmux.info b/system/tmux/tmux.info
index 94bef5da76..369621e770 100644
--- a/system/tmux/tmux.info
+++ b/system/tmux/tmux.info
@@ -1,8 +1,8 @@
PRGNAM="tmux"
-VERSION="0.4a"
+VERSION="0.8"
HOMEPAGE="http://sourceforge.net/projects/tmux"
-DOWNLOAD="http://downloads.sourceforge.net/tmux/tmux-0.4a.tar.gz"
-MD5SUM="4afd9540f6b89df9a443cffb8345bf5a"
+DOWNLOAD="http://downloads.sourceforge.net/tmux/tmux-0.8.tar.gz"
+MD5SUM="7292916c1fee6035def1d5f4efdb4770"
MAINTAINER="Chess Griffin"
EMAIL="chess@chessgriffin.com"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"